Post payment to given invoice
Creates a payment transaction that is allocated to the specified invoice.
Transaction type is derived:
- CPT if invoice is in collection
- PT otherwise
Note: The additionalInfo.paymentReference field is prohibited in this request.
curl --request POST \
--url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/invoice/{invoiceId}/payment' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 123,
"currency": "EUR",
"text": "<string>",
"additionalInfo": {
"ref": "<string>",
"message": "<string>",
"paymentReceiver": "<string>",
"transferId": "<string>",
"text": "<string>",
"discLinkTransactionId": "<string>",
"discLinkPurchaseDetailId": "<string>",
"paymentReference": "<string>",
"payerName": "<string>",
"fromAddress": "<string>",
"fromZip": "<string>",
"fromCity": "<string>",
"fromBankAccountNumber": "<string>",
"fromCustomerAccountNumber": "<string>",
"fromOrganizationalNumber": "<string>",
"fromBankName": "<string>",
"toBic": "<string>",
"toBankAccountNumber": "<string>",
"fileName": "<string>",
"receivedFromCollectionAgency": true,
"vatRate": "<string>",
"vatAmount": "<string>",
"billNumber": "<string>"
},
"transactionDetails": "<string>",
"date": "2023-12-25",
"postingDate": "2023-12-25",
"transactionDate": "2023-12-25"
}
'import requests
url = "https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/invoice/{invoiceId}/payment"
payload = {
"amount": 123,
"currency": "EUR",
"text": "<string>",
"additionalInfo": {
"ref": "<string>",
"message": "<string>",
"paymentReceiver": "<string>",
"transferId": "<string>",
"text": "<string>",
"discLinkTransactionId": "<string>",
"discLinkPurchaseDetailId": "<string>",
"paymentReference": "<string>",
"payerName": "<string>",
"fromAddress": "<string>",
"fromZip": "<string>",
"fromCity": "<string>",
"fromBankAccountNumber": "<string>",
"fromCustomerAccountNumber": "<string>",
"fromOrganizationalNumber": "<string>",
"fromBankName": "<string>",
"toBic": "<string>",
"toBankAccountNumber": "<string>",
"fileName": "<string>",
"receivedFromCollectionAgency": True,
"vatRate": "<string>",
"vatAmount": "<string>",
"billNumber": "<string>"
},
"transactionDetails": "<string>",
"date": "2023-12-25",
"postingDate": "2023-12-25",
"transactionDate": "2023-12-25"
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
amount: 123,
currency: 'EUR',
text: '<string>',
additionalInfo: {
ref: '<string>',
message: '<string>',
paymentReceiver: '<string>',
transferId: '<string>',
text: '<string>',
discLinkTransactionId: '<string>',
discLinkPurchaseDetailId: '<string>',
paymentReference: '<string>',
payerName: '<string>',
fromAddress: '<string>',
fromZip: '<string>',
fromCity: '<string>',
fromBankAccountNumber: '<string>',
fromCustomerAccountNumber: '<string>',
fromOrganizationalNumber: '<string>',
fromBankName: '<string>',
toBic: '<string>',
toBankAccountNumber: '<string>',
fileName: '<string>',
receivedFromCollectionAgency: true,
vatRate: '<string>',
vatAmount: '<string>',
billNumber: '<string>'
},
transactionDetails: '<string>',
date: '2023-12-25',
postingDate: '2023-12-25',
transactionDate: '2023-12-25'
})
};
fetch('https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/transaction/v3/invoice/{invoiceId}/payment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"description": "061-Usage Limit '24H_RETAIL' Amount Exceeded",
"id": "<string>"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"code": "<string>",
"message": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"errorCode": "<string>",
"errorReason": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Invoice id to allocate the payment to
Query Parameters
The audit user to log the request
Body
The fields that you want to apply to your newly created invoice payment transaction, these values will override the predefined template values. Note: Transaction type is derived by the backend and must not be provided.
Transaction amount. It is possible to post only amount which is equal or more than minimal currency unit (For example, for EUR, SEK, NOK minimal unit is 0,01)
A valid ISO 4217 currency code
[A-Z]{3}"EUR"
Free input text
255Show child attributes
Show child attributes
Merchant name
255The date when transaction was posted at Enfuce in ISO-8601 date format (YYYY-MM-DD). Only one of date or postingDate can be used at a time. This field will always post a transaction even if this date is not valid.
The date when transaction was posted at Enfuce in ISO-8601 date format (YYYY-MM-DD). Only one of date or postingDate can be used at a time. When using this field an exception will be thrown if posting date is not valid. For a postingDate to be valid, it must be no later than the due date of the account's contract.
The local date when the transaction was made in ISO-8601 date format (YYYY-MM-DD).
Response
Successful creation of payment transaction allocated to invoice
When a payment is declined, a response description is returned, if available, providing more context on why the transaction failed. This includes a return code and a brief explanation. If multiple issues cause the decline, only one response description is sent; the most recent reason for decline is returned. If the payment is successful, the resourceResponse attribute is returned with null value.
"061-Usage Limit '24H_RETAIL' Amount Exceeded"
Will contain the ID of the resource that has been created or updated
Was this page helpful?

